//
// BusProductSelectionViewProvider.h
// GoToBus
//
// Created by iphone development on 6/10/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "BusRoute.h"

@interface BusRouteSelectionViewProvider : NSObject <UITableViewDataSource, UITableViewDelegate>

- (instancetype)initWithBusRoutes:(NSArray *)busRoutes;

- (void)didSelectBusRoute:(void (^) (BusRoute *busRoute))block;
- (void)didFocusBusRoute:(void (^) (BusRoute *busRoute))block;

- (void)tableView:(UITableView *)tableView selectBusRoute:(BusRoute *)busRoute;
- (void)autoFocus;

@end
